# $Revision: 1.23 $, $Date: 2009/01/23 18:30:39 $
%define		_modname	timezonedb
%define		_status		stable
Summary:	%{_modname} - timezone database to be used with PHP's date and time functions
Summary(pl.UTF-8):	%{_modname} - baza stref czasowych do wykorzystania z funkcjami date() oraz time()
Name:		php-pecl-%{_modname}
Version:	2009.1
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	815f26046274279bf8fcdf355d935591
URL:		http://pecl.php.net/package/timezonedb/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension is a drop-in replacement for the builtin timezone
database that comes with PHP. You should only install this extension
in case you need to get a later version of the timezone database then
the one that ships with PHP.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
To rozszerzenie zastępuje wbudowanę bazę stref czasowych dostarczaną
wraz z PHP. Należy instalować to rozszerzenie tylko jeśli musimy
skorzystać z nowszej wersji bazy stref czasowych niż tej dostarczanej
wraz z archiwum PHP.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	-C %{_modname}-%{version} \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-timezonedb.spec,v $
Revision 1.23  2009/01/23 18:30:39  adamg
- updated to 2009.1 (2009a)

Revision 1.22  2008/10/30 09:17:40  adamg
- updated to 2008.9 (2008i)

Revision 1.21  2008/10/14 07:15:41  adamg
- updated to 2008.8 (2008h)

Revision 1.20  2008/10/11 09:35:50  adamg
- updated to 2008.7 (2008g)

Revision 1.19  2008/09/15 20:41:09  adamg
- updated to 2008.6 (2008f)

Revision 1.18  2008/07/28 20:39:11  adamg
- updated to 2008.5 (2008e)

Revision 1.17  2008/07/19 09:20:17  adamg
- updated to 2008.4.1 (2008d)

Revision 1.16  2008-06-08 07:43:23  adamg
- updated to 2008.3 (2008c)

Revision 1.15  2008-03-24 22:36:50  glen
- release 2

Revision 1.14  2008-03-24 22:31:10  adamg
- updated to 2008.2 (2008b)

Revision 1.13  2008-03-22 02:23:45  adamg
- updated to 2008.1

Revision 1.12  2007-12-09 08:58:35  adamg
- updated to 2007.10

Revision 1.11  2007/11/05 11:39:51  adamg
- updated to 2007.9

Revision 1.10  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.8  2007/01/16 22:08:59  glen
- use %php_webserver_restart

Revision 1.7  2007/01/16 22:07:11  glen
- use new php extension macros

Revision 1.6  2006/12/13 23:44:39  glen
- update to 2006.16

Revision 1.5  2006/11/27 22:04:04  adamg
- updated to 2006.14.1

Revision 1.4  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.3  2006/09/02 19:15:35  adamg
- updated to 2006.11

Revision 1.2  2006/07/10 20:14:12  qboosh
- pl fix

Revision 1.1  2006/07/05 13:57:06  adamg
- new
